make targets without name and prefix possible

Sat, 03 Aug 2019 11:02:55 +0200

author
Olaf Wintermann <olaf.wintermann@gmail.com>
date
Sat, 03 Aug 2019 11:02:55 +0200
changeset 4
6bf4c948d0ba
parent 3
9d60baefa4ed
child 5
895bf81d3b6e

make targets without name and prefix possible

test/config.mk file | annotate | diff | comparison | revisions
test/configure file | annotate | diff | comparison | revisions
test/make/project.xml file | annotate | diff | comparison | revisions
--- a/test/config.mk	Sat Aug 03 10:22:14 2019 +0200
+++ b/test/config.mk	Sat Aug 03 11:02:55 2019 +0200
@@ -10,6 +10,8 @@
 DAV_CFLAGS  +=   -I/usr/include/libxml2 -DTEST
 DAV_LDFLAGS +=  -lcurl  -lxml2 
 
+CFLAGS  += -DDEPTEST
+
 # Dependency: libxml2		
 xml = libxml2
 
--- a/test/configure	Sat Aug 03 10:22:14 2019 +0200
+++ b/test/configure	Sat Aug 03 11:02:55 2019 +0200
@@ -391,6 +391,20 @@
 	echo no
 	return 1
 }
+dependency_deptest()
+{
+    printf "checking for deptest... "
+    # dependency deptest 
+    while true
+    do
+        CFLAGS+="-DDEPTEST"    
+		echo yes
+        return 0
+    done
+	
+	echo no
+	return 1
+}
 dependency_libxml2()
 {
     printf "checking for libxml2... "
@@ -611,6 +625,29 @@
     echo "DAV_LDFLAGS += $LDFLAGS" >> $TEMP_DIR/config.mk
 fi
 
+# Target
+CFLAGS=
+LDFLAGS=
+CXXFLAGS=
+
+dependency_deptest
+if [ $? -ne 0 ]; then
+	DEPENDENCIES_FAILED+="deptest "
+	ERROR=1
+fi
+
+
+echo >> $TEMP_DIR/config.mk
+if [[ ! -z ${CFLAGS} ]]; then
+    echo "CFLAGS  += $CFLAGS" >> $TEMP_DIR/config.mk
+fi
+if [[ ! -z ${CXXFLAGS} ]]; then
+    echo "CXXFLAGS += $CXXFLAGS" >> $TEMP_DIR/config.mk
+fi
+if [[ ! -z ${LDFLAGS} ]]; then
+    echo "LDFLAGS += $LDFLAGS" >> $TEMP_DIR/config.mk
+fi
+
 if [ $ERROR -ne 0 ]; then
 	echo
 	echo "Error: Unresolved dependencies"
--- a/test/make/project.xml	Sat Aug 03 10:22:14 2019 +0200
+++ b/test/make/project.xml	Sat Aug 03 11:02:55 2019 +0200
@@ -34,6 +34,10 @@
 		<test>which qmake-qt4</test>
 	</dependency>
 	
+	<dependency name="deptest">
+		<cflags>-DDEPTEST</cflags>
+	</dependency>
+	
 	<dependency>
 		<make>MVAR = 123</make>
 		<make>MVAR += 123</make>
@@ -69,5 +73,9 @@
 		</option>
 		<dependencies>curl,libxml2,test</dependencies>
 	</target>
+	
+	<target>
+		<dependencies>deptest</dependencies>
+	</target>
 </project>
 

mercurial